## org.apache.portals.bridges.beans
Class TabBean

    java.lang.Object
      org.apache.portals.bridges.beans.TabBean

All Implemented Interfaces:
  Serializable

public class TabBean
extends Object
implements Serializable

Version:
  $ID$
Author:
  Jeremy Ford
See Also:
  Serialized Form

Field Summary
`private String` `id`

Constructor Summary
`TabBean()`
`TabBean(String id)`

Method Summary
`boolean` `equals(Object obj)`
`String` `getId()`
`void` `setId(String id)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    private String id

Constructor Detail

### TabBean

    public TabBean()

### TabBean

    public TabBean(String id)

Method Detail

### getId

    public String getId()

  Returns:
    Returns the id.

### setId

    public void setId(String id)

  Parameters:
    `id` - The id to set.

### equals

    public boolean equals(Object obj)

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.